Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 8077)
+++ trunk/MagicSoft/Mars/Changelog	(revision 8078)
@@ -18,4 +18,14 @@
 
                                                  -*-*- END OF LINE -*-*-
+
+ 2006/10/17 Daniela Dorner
+
+   * datacenter/scripts/sourcefile:
+     - bugfix (intgrep returned not only the number)
+
+   * datacenter/scripts/checktransfer:
+     - removed not needed output
+
+
 
  2006/10/16 Thomas Bretz
Index: trunk/MagicSoft/Mars/datacenter/scripts/budb
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/budb	(revision 8078)
+++ trunk/MagicSoft/Mars/datacenter/scripts/budb	(revision 8078)
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+datum=`date +%F`
+dbyd=`date +%F --date="-48hour"`
+
+
+set -C
+
+
+path=/home/operator/budb
+logfile=$path/log/budb$datum.log
+
+date > $logfile
+
+#echo $logfile
+
+echo "today: $datum" >> $logfile 2>&1
+echo "dbyesterday: $dbyd" >> $logfile 2>&1
+
+file=$path/alldatabases
+end=.sql.bz2
+
+dbydfile=$file$dbyd$end
+echo "removing old file..." >> $logfile 2>&1
+
+rm -v $dbydfile >> $logfile 2>&1
+
+echo "writing all databases to file..." >> $logfile 2>&1
+set +C
+mysqldump --host=hercules --all-databases -u dump | bzip2 -9 -c > $file$datum$end 2>> $logfile
+
+
Index: trunk/MagicSoft/Mars/datacenter/scripts/checktransfer
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/checktransfer	(revision 8077)
+++ trunk/MagicSoft/Mars/datacenter/scripts/checktransfer	(revision 8078)
@@ -56,5 +56,5 @@
 for date in ${dates[@]}
 do
-   if ! ls /magic/datacenter/fromlapalma/RAWchk/$date/$date.finished 2>/dev/null
+   if ! ls /magic/datacenter/fromlapalma/RAWchk/$date/$date.finished 2>&1 >/dev/null
    then
       printprocesslog "WARN .finished for $date not found"
Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8077)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 8078)
@@ -116,5 +116,5 @@
 # alias (we cannot check the beginning of the line due to
 # color codes in filldotraw.C)
-alias 'intgrep'='grep -E -o \\\(int\\\)[0-9]+$'
+alias 'intgrep'='grep -E -o \\\(int\\\)[0-9]+$ | grep -E -o [0-9]+'
 
 # in the following the functions, which are needed by several scripts, are 
